Bug 68164 - gcc internal compiler error in c_expand_expr at c-common.c:4171
gcc internal compiler error in c_expand_expr at c-common.c:4171
Product: Red Hat Linux
Classification: Retired
Component: gcc3 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2002-07-07 05:52 EDT by cesar.douady
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-02 17:39:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
atom.i : the file to compile to reproduce this bug (204.46 KB, text/plain)
2002-07-07 05:54 EDT, cesar.douady
no flags Details

  None (edit)
Description cesar.douady 2002-07-07 05:52:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020501

Description of problem:
I get the internal error mentioned in the summary when compiling the attached
code (atom.i)
my version of gcc3 (output of g++3 -v) is 3.0.4 (Red Hat Linux 7.2 3.0.4-1)
This problems seems to occur rather early in the compiler as it does not depend
on options given on the command line (as far as I can tell).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1."g++3 atom.i" where atom.i is the attached file

Actual Results:  I get the diagnostic :
atom.cc: In static member function `static void Cirrus::Atom::_typeInfo()':
atom.cc:116: Internal compiler error in c_expand_expr, at c-common.c:4171
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Expected Results:  an object or a readable syntax error report.

Additional info:
Comment 1 cesar.douady 2002-07-07 05:54:28 EDT
Created attachment 64084 [details]
atom.i : the file to compile to reproduce this bug
Comment 2 Alan Cox 2002-12-15 16:49:39 EST
Still present in g++ 3.2
Comment 3 Richard Henderson 2004-10-02 17:39:59 EDT
The test case appears to be invalid, but the ICE persists in gcc 4.0.
Pushed upstream to http://gcc.gnu.org/bugzilla/show_bug.cgi?id=17797

Note You need to log in before you can comment on or make changes to this bug.